=== perl/CMakeLists.txt ===
SET(SOURCES ../nflog.c ../nflog_common.c ../nflog_utils.c)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
FIND_PACKAGE(Perl)
FIND_PACKAGE(PerlLibs2)

IF ( PERL_EXECUTABLE )
	EXEC_PROGRAM( ${PERL_EXECUTABLE} ARGS "-e 'use Config; print \$Config{revision},\"\\n\"'" OUTPUT_VARIABLE PERL_VERSION )
ENDIF ( PERL_EXECUTABLE )

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${LIBNFLOG_INCLUDE_DIR})

INCLUDE_DIRECTORIES(${PERL_INCLUDE_PATH})
IF(PERL_EXTRA_C_FLAGS)
  ADD_DEFINITIONS(${PERL_EXTRA_C_FLAGS})
ENDIF(PERL_EXTRA_C_FLAGS)

SWIG_ADD_MODULE(nflog perl nflog.i ${SOURCES})
SWIG_LINK_LIBRARIES(nflog ${PERL_LIBRARY} ${LIBNFLOG_LINK_FLAGS})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.pm
	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.so
	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)
