=== python/CMakeLists.txt ===
FIND_PACKAGE(PythonInterp)
FIND_PACKAGE(PythonLibs)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})

IF ( PYTHON_EXECUTABLE )
	EXEC_PROGRAM( ${PYTHON_EXECUTABLE} ARGS "-c \"import sys; print sys.version[:3]\"" OUTPUT_VARIABLE PYTHON_VERSION )
	STRING( REGEX REPLACE "[\r\n]" " " PYTHON_VERSION "${PYTHON_VERSION}"  )
ENDIF ( PYTHON_EXECUTABLE )

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${LIBNFLOG_INCLUDE_DIR})

SET(SOURCES ../nflog.c ../nflog_common.c ../nflog_utils.c)
SET(CMAKE_SWIG_FLAGS "")

SWIG_ADD_MODULE(nflog python nflog.i ${SOURCES})
SWIG_LINK_LIBRARIES(nflog ${PYTHON_LIBRARIES} ${LIBNFLOG_LINK_FLAGS})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.py
	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_nflog.so
	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)
