=== debian/changelog ===
nflog-bindings (0.1-2) unstable; urgency=low

  * Add patch to support extra arguments in Makefile
  * Switch to dh_python2
  * Build package for all recent versions of Python (Closes: #642443)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Thu, 22 Sep 2011 21:52:02 +0200

nflog-bindings (0.1-1) unstable; urgency=low

  * Initial release (Closes: #609121)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 06 Jan 2011 11:25:48 +0100
