=== debian/control ===
Source: nflog-bindings
Section: libs
Priority: extra
XS-Python-Version: >= 2.6
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 5),
    cmake (>= 2.4.5),
    swig (>= 1.3),
    libperl-dev,
    python-all-dev (>= 2.6.6-3~),
    libnetfilter-log-dev,
    chrpath
Standards-Version: 3.9.2
Homepage: https://www.wzdftpd.net/redmine/projects/nflog-bindings/wiki/

Package: libnflog-perl
Section: perl
Architecture: any
Replaces: nflog-bindings-perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl bindings for nflog
 nflog-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_log.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFLOG target.
 .
 This package contains the Perl bindings for nflog.

Package: python-nflog
Section: python
Architecture: any
Replaces: nflog-bindings-python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for nflog
 nflog-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_log.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFLOG target.
 .
 This package contains the Python bindings for nflog.
