=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for nflog-bindings
# written by Pierre Chifflier <pollux@debian.org>
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_PYCENTRAL=nomove

PYVERS=$(shell pyversions -vr)




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-arch

build-arch: $(PYVERS:%=build-python%)
build-python%:
	make BUILD_DIR="build$*" CMAKE_EXTRA_OPTIONS="-DPython_ADDITIONAL_VERSIONS=$*"
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp build-python2.*

	# Add here commands to clean up after the build process.
	rm -rf build build2.[67]

	dh_clean 

install: install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch: install-core $(PYVERS:%=install-python%)
	dh_install -s --list-missing --sourcedir=debian/tmp

install-core:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

install-python%:
	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) -C build$* DESTDIR=$(CURDIR)/debian/tmp install
	mv $(CURDIR)/debian/tmp/usr/local/lib/perl5 $(CURDIR)/debian/tmp/usr/lib/perl5
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python2.*/*/*.so

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_python2 -ppython-nfqueue
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
