=== perl/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,6 @@
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.pm
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)
 
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.so
+INSTALL(TARGETS nflog LIBRARY DESTINATION
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)
