=== python/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 IF ( PYTHON_EXECUTABLE )
 	EXEC_PROGRAM( ${PYTHON_EXECUTABLE} ARGS "-c \"import sys; print sys.version[:3]\"" OUTPUT_VARIABLE PYTHON_VERSION )
 	STRING( REGEX REPLACE "[\r\n]" " " PYTHON_VERSION "${PYTHON_VERSION}"  )
+	EXECUTE_PROCESS( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)
 ENDIF ( PYTHON_EXECUTABLE )
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
@@ -18,8 +19,7 @@
 SWIG_LINK_LIBRARIES(nflog ${PYTHON_LIBRARIES} ${LIBNFLOG_LINK_FLAGS})
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.py
-	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)
+	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/dist-packages/)
 
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_nflog.so
-	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)
-
+INSTALL(TARGETS _nflog LIBRARY DESTINATION
+	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/dist-packages/)
