=== debian/changelog ===
nflog-bindings (0.2-3.1ubuntu4) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:39 +0000

nflog-bindings (0.2-3.1ubuntu3) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:36:08 +0100

nflog-bindings (0.2-3.1ubuntu2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 11:24:08 +0000

nflog-bindings (0.2-3.1ubuntu1) xenial; urgency=medium

  * debian/patches/log_bindings_version.patch: Fix name of variable in
    nflog_common.h to avoid implicit pointer conversion.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 13 Dec 2015 20:05:25 -0500

nflog-bindings (0.2-3.1build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:16:27 +0100

nflog-bindings (0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    Make debian/libnflog-perl.install executable and use $Config{vendorarch}
    to determine install directory.
    (Closes: #752349)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 17:46:31 +0200

nflog-bindings (0.2-3) unstable; urgency=low

  * Add missing CPPFLAGS hardening flags (Closes: #670239).
    Thanks to Simon Ruderich for the bug report and patch.
  * Add 'bindnow' hardening flag

 -- Pierre Chifflier <pollux@debian.org>  Sat, 19 May 2012 16:29:28 +0200

nflog-bindings (0.2-2) unstable; urgency=low

  * Build with python support in debhelper (Closes: #662223)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 May 2012 21:57:01 +0200

nflog-bindings (0.2-1) unstable; urgency=low

  * Imported Upstream version 0.2
  * Fix rules files to use correct python module name (Closes: #662223)
  * Bump Standards Version to 3.9.3
  * Remove Debian patches, merged upstream
  * Switch to debhelper 9: shorten the rules file, and enable hardening flags

 -- Pierre Chifflier <pollux@debian.org>  Mon, 16 Apr 2012 21:46:53 +0200
