=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: libs
 Priority: extra
 XS-Python-Version: >= 2.6
-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 5),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
+Build-Depends: debhelper (>= 9),
     cmake (>= 2.4.5),
     swig (>= 1.3),
     libperl-dev,
     python-all-dev (>= 2.6.6-3~),
     libnetfilter-log-dev,
     chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://www.wzdftpd.net/redmine/projects/nflog-bindings/wiki/
 
 Package: libnflog-perl
